/* errlib.h
 *
 */
#ifndef ERRLIB_H
#define ERRLIB_H

#include <stdarg.h>

#define MAXLINELEN 4096

/*
 * err_ret
 */
void err_ret(const char *fmt, ...);

/*
 * err_quit
 */
void err_quit(const char *fmt, ...);

/*
 *log_ret
 */
void log_ret(char *logfile, const char *fmt, ...);

/*
 *log_quit
 */
void log_quit(char *logfile, const char *fmt, ...);

/*
 *err_prn
 */
void err_prn(const char *fmt, va_list ap, char *logfile);


#endif   /* ERRLIB_H */
 
 
 
 